Bug 233053 - FreeBSD 12-STABLE: ports-mgmt/portshaker fails to build (fails during staging, unknown make target)
Summary: FreeBSD 12-STABLE: ports-mgmt/portshaker fails to build (fails during staging...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Romain Tartière
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-07 09:23 UTC by Marie Helene Kvello-Aune
Modified: 2018-12-18 01:28 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (romain)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marie Helene Kvello-Aune 2018-11-07 09:23:24 UTC
Trying to build ports-mgmt/portshaker fails on FreeBSD 12-STABLE (r340097). It builds fine on 11.x.

Error happens during staging: make[2]: don't know how to make installdirs-FILESDIR. Stop


Full build log:

root@jupiter:/usr/ports/ports-mgmt/portshaker # make
===>  Staging for portshaker-1.0.16
===>   portshaker-1.0.16 depends on executable: rsync - found
===>   portshaker-1.0.16 depends on executable: svn - found
===>   Generating temporary packing list
if [ ! -d "/usr/ports/ports-mgmt/portshaker/work/stage/usr/local/share/portshaker" ]; then mkdir -p "/usr/ports/ports-mgmt/portshaker/work/stage/usr/local/share/portshaker"; fi
if [ ! -d "/usr/ports/ports-mgmt/portshaker/work/stage/usr/local/etc/portshaker.d" ]; then mkdir -p "/usr/ports/ports-mgmt/portshaker/work/stage/usr/local/etc/portshaker.d"; fi
install  -o root  -g wheel -m 555  portshaker.sh  /usr/ports/ports-mgmt/portshaker/work/stage/usr/local/bin/portshaker
installing DIRS FILESDIR_merge-updating.awk
install  -d -m 0755 -o root  -g wheel  /usr/ports/ports-mgmt/portshaker/work/stage/usr/local/share/portshaker
install  -o root  -g wheel -m 444  merge-updating.awk /usr/ports/ports-mgmt/portshaker/work/stage/usr/local/share/portshaker/merge-updating.awk
installing DIRS FILESDIR_portshaker.conf.sample
install  -d -m 0755 -o root  -g wheel  /usr/ports/ports-mgmt/portshaker/work/stage/usr/local/etc
install  -o root  -g wheel -m 444  portshaker.conf.sample /usr/ports/ports-mgmt/portshaker/work/stage/usr/local/etc/portshaker.conf.sample
make[2]: don't know how to make installdirs-FILESDIR. Stop

make[2]: stopped in /usr/ports/ports-mgmt/portshaker/work/portshaker-1.0.16
*** Error code 2

Stop.
make[1]: stopped in /usr/ports/ports-mgmt/portshaker
*** Error code 1

Stop.
make: stopped in /usr/ports/ports-mgmt/portshaker
Comment 1 Marius Halden 2018-11-27 11:52:41 UTC
Upstream PR which fixes this: https://github.com/smortex/portshaker/pull/22
Comment 2 commit-hook freebsd_committer 2018-11-27 18:33:40 UTC
A commit references this bug:

Author: romain
Date: Tue Nov 27 18:32:48 UTC 2018
New revision: 486047
URL: https://svnweb.freebsd.org/changeset/ports/486047

Log:
  Update to 1.0.17

  This update fix the FreeBSD 12 build.

  PR:		233053
  Submitted by:	marius.halden@modirum.com
  Reported by:	freebsd@mhka.no

Changes:
  head/ports-mgmt/portshaker/Makefile
  head/ports-mgmt/portshaker/distinfo
Comment 3 Romain Tartière freebsd_committer 2018-11-27 18:37:20 UTC
Update committed, thanks!
Comment 4 commit-hook freebsd_committer 2018-12-18 01:28:11 UTC
A commit references this bug:

Author: romain
Date: Tue Dec 18 01:27:54 UTC 2018
New revision: 487724
URL: https://svnweb.freebsd.org/changeset/ports/487724

Log:
  MFH: r486047 (build fix)

  Update to 1.0.17

  This update fix the FreeBSD 12 build.

  PR:		233053
  Submitted by:	marius.halden@modirum.com
  Reported by:	freebsd@mhka.no

  Approved by:	portmgr (build fix blanket)

Changes:
_U  branches/2018Q4/
  branches/2018Q4/ports-mgmt/portshaker/Makefile
  branches/2018Q4/ports-mgmt/portshaker/distinfo